SAP Knowledge Base Article - Preview

2502351 - Deploying ReX 3.4 fails with "Code generation failed" error message - SMP MBO Runtime

Symptom

Cannot deploy ReX 3.4 to SMP 3.0 MBO Runtime because it fails with error message:

Code generation failed: afx compiler's production version is incompatible with afx doc's production version. (3.0.0 < 3.0.10).


Read more...

Environment

  • SAP Mobile Platform (SMP) 3.0 MBO Runtime SP12 or above 
  • SAP Retail Execution (ReX) 3.4

Product

SAP Mobile Platform 3.0

Keywords

Deployment error, Error details, Code generation failed: afx compiler's production version is incompatible with afx doc's production version. (3.0.0 < 3.0.10), version mismatch, rex, sup, smp, mbo, deployment, deploying , KBA , MOB-ONP-MBO , SAP Mobile On Premise MBO Synchronization , MOB-APP-REX , SAP Mobile Retail Execution , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.